#!/bin/bash
#
#	This is the script that builds the installer
#

export INSTALL_RELEASEDIR=./releases
export INSTALL_NAME=APECSInstall_v0.2
export INSTALLROOT=/tmp
export INSTALLDIR=${INSTALLROOT}/${INSTALL_NAME}

echo "Building the APECS Installer...$INSTALL_NAME"

mkdir -p ${INSTALL_RELEASEDIR}

rm -rf ${INSTALLDIR}
mkdir -p ${INSTALLDIR}/matlab

cp matlab/APECS/* ${INSTALLDIR}/matlab
cp doc/README_APECS.txt ${INSTALLDIR}/
#cp doc/ReleaseNotes_APECS.txt ${INSTALLDIR}/

xattr -rm com.apple.ResourceFork -rm com.apple.FinderInfo ${INSTALLDIR}/*
xattr -rm com.apple.ResourceFork -rm com.apple.FinderInfo ${INSTALLDIR}/matlab/*
 
tar -C ${INSTALLROOT} -czf ${INSTALL_RELEASEDIR}/${INSTALL_NAME}.tgz ${INSTALL_NAME}/
cp -f ${INSTALLDIR}/README_APECS.txt ${INSTALL_RELEASEDIR}/

echo "All done"

ls -l ${INSTALL_RELEASEDIR}/
tar -tzf ${INSTALL_RELEASEDIR}/${INSTALL_NAME}.tgz
