#!/bin/bash
#
#	This is the script that builds the installer
#

echo "Hello from Installer-Builder"

export INSTALL_NAME=HiPerSATInstallMacOSXBinary_v0.4

export INSTALL_RELEASEDIR=./HiPerSATDeploy
export INSTALLROOT=/tmp
export INSTALLDIR=${INSTALLROOT}/${INSTALL_NAME}

mkdir -p ${INSTALL_RELEASEDIR}

rm -rf ${INSTALLDIR}
mkdir -p ${INSTALLDIR}/bin
mkdir -p ${INSTALLDIR}/data
mkdir -p ${INSTALLDIR}/eeglab

export SYSTEM=mac_gcc
make SYSTEM=${SYSTEM} -C src/ clean all &> ./installer/${SYSTEM}.log
cp bin/hipersat-${SYSTEM} ${INSTALLDIR}/bin/hipersat-${SYSTEM}

export SYSTEM=mac_gcc_mpi
make SYSTEM=${SYSTEM} -C src/ clean all &> ./installer/${SYSTEM}.log
cp bin/hipersat-${SYSTEM} ${INSTALLDIR}/bin/hipersat-${SYSTEM}

# Mac is the default... for now
cp bin/hipersat-mac_gcc ${INSTALLDIR}/bin/hipersat-bin
cp script/t4 ${INSTALLDIR}/bin/t4

cp doc/README_macosx.txt ${INSTALLDIR}/
cp doc/ReleaseNotes.txt ${INSTALLDIR}/
cp script/hipersat ${INSTALLDIR}/bin/hipersat
cp installer/HiPerSAT/MATLAB_bashenv.sh ${INSTALLDIR}/
cp installer/HiPerSAT/MATLAB_tcshenv.sh ${INSTALLDIR}/
cp installer/verifyInstall.sh ${INSTALLDIR}/
cp installer/data/Unwhitened_cubic_correct_ascii.wgt ${INSTALLDIR}/data
cp installer/data/4x1001-x.scf ${INSTALLDIR}/data
cp installer/data/Unwhitened_cubic.form ${INSTALLDIR}/data

cp eeglab/FormEditor/EeglabToHiPerSat.m	${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/FileOpenGUI.fig 	${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/FileOpenGUI.m 		${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/IcaGui.fig 		${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/IcaGui.m 			${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/IcaGuiEegLab.fig 	${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/IcaGuiEegLab.m 	${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/NicICAForm.m 		${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/pop_runica.txt 	${INSTALLDIR}/eeglab/README_EEGLab.txt
cp eeglab/FormEditor/ReadRawData.m 		${INSTALLDIR}/eeglab/
cp eeglab/FormEditor/ReadRawHeader.m 	${INSTALLDIR}/eeglab/

xattr -rm com.apple.ResourceFork -rm com.apple.FinderInfo ${INSTALLDIR}/*
xattr -rm com.apple.ResourceFork -rm com.apple.FinderInfo ${INSTALLDIR}/bin/*
xattr -rm com.apple.ResourceFork -rm com.apple.FinderInfo ${INSTALLDIR}/eeglab/*
xattr -rm com.apple.ResourceFork -rm com.apple.FinderInfo ${INSTALLDIR}/data/*

chmod -R a+w ${INSTALLDIR} 
tar -C ${INSTALLROOT} -czf ${INSTALL_RELEASEDIR}/${INSTALL_NAME}.tgz ${INSTALL_NAME}/
cp -f ${INSTALLDIR}/README_macosx.txt ${INSTALL_RELEASEDIR}/

echo "All done"

ls -l ${INSTALL_RELEASEDIR}/
tar -tzf ${INSTALL_RELEASEDIR}/${INSTALL_NAME}.tgz
