#!/bin/bash
#
#	This is the script that builds the installer
#

echo "Verifying install..."

source ~/HiPerSAT/MATLAB_bashenv.sh

if [ "${HIPERSAT_HOME}" = "" ]
then
	echo > /dev/stderr "The environment symbol HiPerSAT_HOME must point to your HiPerSAT install directory."
	echo > /dev/stderr "For example, add the following to your ~/HiPerSAT/MATLAB_bashenv.sh file:"
	echo > /dev/stderr "	export HIPERSAT_HOME=~/HiPerSATInstall_v0.2"
	echo > /dev/stderr ""
else
	pushd ${HIPERSAT_HOME}/
	echo "${HIPERSAT_HOME}/bin/hipersat ./data/Unwhitened_cubic.form"
	${HIPERSAT_HOME}/bin/hipersat ./data/Unwhitened_cubic.form . &> ./data/Unwhitened_cubic_test.log
	
	success=0
	
	diff \
		./data/Unwhitened_cubic_correct_ascii.wgt \
		./data/4x1001_Unwhitened_cubic_test_ascii.wgt && success=1

	if [ $success = 0 ]
	then
		echo > /dev/stderr "Error during verifyInstall.sh... See ${HIPERSAT_HOME}/data/Unwhitened_cubic_test.log"
	fi
	
	popd
fi
